# Enum Class TimeFormat

java.lang.Object
java.lang.Enum<TimeFormat>
org.daypilot.ui.enums.TimeFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<TimeFormat>`, `Constable`

public enum TimeFormat extends Enum<TimeFormat>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `CLOCK_12_HOURS`
  `CLOCK_24_HOURS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isValid(String value)`
  `static TimeFormat`
  `parse(String string)`
  `TimeFormat`
  `resolve(Locale locale)`
  `String`
  `toString()`
  `static TimeFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimeFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLOCK_12_HOURS

    public static final TimeFormat CLOCK_12_HOURS

  - ### CLOCK_24_HOURS

    public static final TimeFormat CLOCK_24_HOURS

  - ### AUTO

    public static final TimeFormat AUTO

- ## Method Details

  - ### values

    public static TimeFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimeFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static TimeFormat parse(String string)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TimeFormat>`

  - ### isValid

    public static boolean isValid(String value)

  - ### resolve

    public TimeFormat resolve(Locale locale)